<template>
  <div>
    <div class="flex flex-row">
      <div class="legend-line mr-2" :style="{ backgroundColor: color }" />
      <div class="flex-col">
        <small class="text-xs">{{ label }}</small>
        <h5 class="font-semibold">{{ value }}</h5>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    label: String,
    value: Number,
    color: String
  }
};
</script>

<style lang="scss">
.legend-line {
  height: 40px;
  width: 4px;
}
</style>
